<?php
/**
 * @package	StarShop for Joomla!
 * @version	1.0.9
 * @author	joomstar.ir
 * @copyright	(C) 2012-2020 JOOMSTAR.IR SOFTWARE. All rights reserved.
 * @license	GNU/GPLv3 https://www.gnu.org/licenses/gpl-3.0.en.html
 */
defined('_JEXEC') or die; 
$params = JComponentHelper::getParams('com_jstar_shop');
$doc = JFactory::getDocument();
$doc->addStyleSheet('media/com_jstar_shop/css/site.stylesheet.css');
$doc->addStyleSheet('media/com_jstar_shop/css/category.css');
foreach($this->items as $i => $item){
	$link = JRoute::_('index.php?option=com_jstar_shop&view=product&id='.$item->id);
?>
	<div id="product1" class="span4">
        <div id="product_img"><a style="display:block" href="<?php echo $link; ?>"><img src="<?php echo $item->img1; ?>" /></a></div>
        <div id="product_title"><a href="<?php echo $link; ?>"><?php echo $item->title; ?></a></div>
        <div id="product_price">
            	<?php if($item->multicost == 1) {
						$Model = $this->getModel();
						$result = $Model->getCost($item->id);
						@$cost1 = $result->cost1;
						@$cost2 = $result->cost2;
				 ?>
                     <div class="c-price">
                        <div class=""><?php echo Jstar_shop_Fa_digits::fa_digits(@number_format($cost2)).'  '.JText::_('COM_JSTAR_SHOP_TOMAN'); ?></div>
                     </div>
                <?php } else { ?>
                     <div class="c-price">
                        <div class=""><?php echo Jstar_shop_Fa_digits::fa_digits(@number_format($item->off)).'  '.JText::_('COM_JSTAR_SHOP_TOMAN'); ?></div>
                     </div>
                <?php } ?>
            <div id="add_comp1"><a 
                        onclick="add_compare(<?php echo $item->id; ?>)"><?php echo JText::_('COM_JSTAR_SHOP_ADD_COMPARE'); ?></a>
                        <span id="status" class="span_status">
                            <?php switch ($item->status) {
                                case 0:
                                    echo '<span style="color:orangered;">' . JText::_('COM_JSTAR_SHOP_STATUS0') . '</span>';
                                    break;
                                case 1:
                                    echo '<span style="color:green;">' . JText::_('COM_JSTAR_SHOP_STATUS1') . '</span>';
                                    break;
                                case 2:
                                    echo '<span style="color:red;">' . JText::_('COM_JSTAR_SHOP_STATUS2') . '</span>';
                                    break;
                                case 3:
                                    echo '<span style="color:purple;">' . JText::_('COM_JSTAR_SHOP_STATUS3') . '</span>';
                                    break;
                                case 4:
                                    echo '<span style="color:black;">' . JText::_('COM_JSTAR_SHOP_STATUS4') . '</span>';
                                    break;
                            }
                            ?>
                        </span>
            </div>
            <div class="clear"></div>
        </div>
    </div>
<?php } ?>
	<div class="clear"></div>
</div>
