<?php
/**
 * @package	StarShop for Joomla!
 * @version	1.0.9
 * @author	joomstar.ir
 * @copyright	(C) 2012-2020 JOOMSTAR.IR SOFTWARE. All rights reserved.
 * @license	GNU/GPLv3 https://www.gnu.org/licenses/gpl-3.0.en.html
 */
defined('_JEXEC') or die;
?>
<style>
.uk-light{direction:rtl;}
</style>
<?php
$view = JFactory::getApplication()->input->get('view');
if ($view == 'product') {
    $db = JFactory::getDBO();
    $id = JFactory::getApplication()->input->get('id');
    $catid = modJstar_shop_similarsHelper::getCatid($id);
    $arr = modJstar_shop_similarsHelper::getArr($id, $catid);
    @$pids = array_unique(array_filter($arr));

    if (!empty($pids)) {
        $amazings = Jstar_shop_CHeckupHelper::getAmazings();
        $pids = implode(',', $pids);
        $result = modJstar_shop_similarsHelper::getItems($id, $catid, $pids);
        ?>
        <div class="row-fluid span12" id="similar_complate">
            <div id="tag"><?php echo JText::_('MOD_JSTAR_SHOP_SIMILAR'); ?></div>
            <div class="uk-position-relative uk-visible-toggle uk-light" tabindex="-1" uk-slider>
                <ul class="uk-slider-items uk-child-width-1-2 uk-child-width-1-3@m uk-grid">
                    <?php foreach ($result as $value) {
                        $link = JRoute::_('index.php?option=com_jstar_shop&view=product&view=product&id=' . $value->id, false); ?>
                        <li>
                            <a class="link_best" href="<?php echo $link; ?>">
                                <div class="uk-panel best_product">
                                    <?php if ($off = array_search($value->id, $amazings)) {
                                        $off = explode('-',$off)[1];
                                        ?>
                                        <div class="c-promotion__discount">
                                            <span><?php echo '%'.$off; ?></span>
                                        </div>
                                    <?php } else { $off = 0; } ?>
                                    <img src="<?php echo $value->img1; ?>" alt="">
                                    <div class="uk-panel">
                                        <span id="product_title"><?php echo $value->title; ?></span>
                                    </div>
                                    <div class="uk-panel">
                                        <span id="product_title"><?php echo Jstar_shop_Fa_digits::fa_digits(number_format(round($value->off-round($value->off*$off/100)))) . JText::_('COM_JSTAR_SHOP_TOMAN'); ?></span>
                                    </div>
                                </div>
                            </a>
                        </li>
                    <?php } ?>
                </ul>
                <a class="uk-position-center-right uk-position-small " href="#" uk-slidenav-previous
                   uk-slider-item="previous"></a>
                <a class="uk-position-center-left uk-position-small " href="#" uk-slidenav-next
                   uk-slider-item="next"></a>
            </div>
        </div>
    <?php }
}
?>


