<?php
/**
 * @package	StarShop for Joomla!
 * @version	1.0.9
 * @author	joomstar.ir
 * @copyright	(C) 2012-2020 JOOMSTAR.IR SOFTWARE. All rights reserved.
 * @license	GNU/GPLv3 https://www.gnu.org/licenses/gpl-3.0.en.html
 */
defined('_JEXEC') or die( 'Restricted Access' );
class Jstar_shopViewCustomfields extends JViewLegacy
{
	protected $items;
	protected $pagination;
	protected $state;
	protected $allgroupfields;
	function display( $tpl = null )
	{ 
		$this->items		= $this->get('Items');
		$this->pagination	= $this->get('Pagination'); 
		$this->state		= $this->get('State');
		$this->allgroupfields		= $this->get('Allgroupfields');
		$this->sortDirection = $this->state->get('list.direction');
		$this->sortColumn = $this->state->get('list.ordering');
			if (count($errors = $this->get('Errors'))) { 
				JFactory::getApplication()->enqueueMessage(implode("\n", $errors), 'error');
				return false;
			} 
		Jstar_shopHelper::addSubmenu('customfields');
		$this->addToolbar();
		$this->sidebar = JHtmlSidebar::render();
		parent::display( $tpl );
	}
	protected function addToolbar()
	{

				JToolBarHelper::title( JText::_('COM_JSTAR_SHOP').' : '.JText::_('COM_JSTAR_SHOP_CUSTOMFIELDS'), 'cogs');
				JToolBarHelper::addNew('customfield.add');
				JToolBarHelper::editList('customfield.edit');
				JToolBarHelper::preferences('com_jstar_shop');
				JToolBarHelper::deleteList('JGLOBAL_CONFIRM_DELETE', 'customfields.delete2','JTOOLBAR_DELETE');
	}
}
?>