<?php
/**
 * @package	StarShop for Joomla!
 * @version	1.0.9
 * @author	joomstar.ir
 * @copyright	(C) 2012-2020 JOOMSTAR.IR SOFTWARE. All rights reserved.
 * @license	GNU/GPLv3 https://www.gnu.org/licenses/gpl-3.0.en.html
 */
defined('_JEXEC') or die('Restricted access');
class Jstar_shopViewMulticost extends JViewLegacy
{
	public function display($tpl = null)
	{
		$form = $this->get('Form');
		$item = $this->get('Item');
		$fields = $this->get('Fields');
		if (count($errors = $this->get('Errors')))
		{
			JFactory::getApplication()->enqueueMessage(implode('<br />', $errors));
			return false;
		}
		// Assign the Data
		$this->form = $form; 
		$this->item = $item;
		$this->fields = $fields; 

		// Set the toolbar
		$this->addToolBar();

		// Display the template
		parent::display($tpl);
		
	}

	/**
	 * Setting the toolbar
	 */
	protected function addToolBar()
	{
		JFactory::getApplication()->input->set('hidemainmenu',true);
		$isNew = $this->item->id == 0;
		JToolBarHelper::apply('multicost.apply2', 'JTOOLBAR_APPLY');
		JToolBarHelper::save('multicost.save2', 'JTOOLBAR_SAVE');
		JToolBarHelper::custom('multicost.save2new2', 'save-new.png', 'save-new_f2.png', 'JTOOLBAR_SAVE_AND_NEW', false);
		JToolBarHelper::cancel('multicost.cancel', 'JTOOLBAR_CANCEL');

	}
}
